org.apache.hadoop.mapreduce.v2.hs

## Class HistoryServerStateStoreServiceFactory

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.HistoryServerStateStoreServiceFactory

-     public class HistoryServerStateStoreServiceFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryServerStateStoreServiceFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HistoryServerStateStoreService` | `getStore(org.apache.hadoop.conf.Configuration conf)` Constructs an instance of the configured storage class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryServerStateStoreServiceFactory

          public HistoryServerStateStoreServiceFactory()

  - ### Method Detail

    - #### getStore

          public static HistoryServerStateStoreService getStore(org.apache.hadoop.conf.Configuration conf)

      Constructs an instance of the configured storage class
      Parameters:
        `conf` - the configuration
      Returns:
        the state storage instance

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.